<!--<nav>-->
  <!--<a (click)="getMediaItems(name)">-->
    <!--<img src="../../assets/media/04.png" class="icon" />-->
  <!--</a>-->
  <!--<a (click)="getMediaItems('Movies')">-->
    <!--<img src="../../assets/media/03.png" class="icon" />-->
  <!--</a>-->
  <!--<a (click)="getMediaItems('Series')">-->
    <!--<img src="../../assets/media/02.png" class="icon" />-->
  <!--</a>-->
<!--</nav>-->



<header>
  <div>{{mediaItems | categoryList: ' arg1 ':' arg2 ':' arg3 '}}</div>
</header>
<section>

  <app-mw-media-item
    [ngClass] = "{'medium-movies':mediaItem.medium ==='Movies', 'medium-series':mediaItem.medium ==='Series'}"
    *ngFor="let mediaItem of mediaItems"
    [mediaItem]="mediaItem"
    (delete)="onMediaItemDelete($event)"
  >
  </app-mw-media-item>
</section>

<hr/>
<br/>
<section>
  <!--<ng-template ngFor let-hero [ngForOf]="heroes" let-i="index" let-odd="odd" [ngForTrackBy]="trackById">-->
    <!--<div [class.odd]="odd">({{i}}) {{hero.name}}</div>-->
  <!--</ng-template>-->
  <ng-template ngFor let-mediaItem [ngForOf]="mediaItems">
    <ng-template [ngIf]="mediaItem.isFavorite">
      <app-mw-media-item
        [mediaItem]="mediaItem"
      >
      </app-mw-media-item>
    </ng-template>

  </ng-template>

</section>

<!--<section>-->
  <!--<hr>-->
  <!--<ngbd-table-complete></ngbd-table-complete>-->
<!--</section>-->



<footer>
  <ngbd-rating-form></ngbd-rating-form>
  <ngbd-modal-basic></ngbd-modal-basic>
  <a routerLink="/add">
    <img src="../../assets/media/01.png" class="icon" />
  </a>
  <a routerLink="/bootstrap/modal">modal</a>
  <a routerLink="/bootstrap/table">table</a>
</footer>
